// Outfit No. 1 Models
// Model 1.15 - Windmill - Moulin a vent - Windmolen - Windmuhle - Molino a vento
// Alan Jardine, Kintore
// Version 0 - 1999-10-18 - So far, only the base
// Version 1 - 1999-10-19 - Base & most of frame
// Version 2 - 1999-10-20 - Roof Added 
// Version 3 - 2000-01-04 - Fixed to counter re-alignment of flexible plates in Meccano.inc
// Version 4 - 2004-04-10 - Made into an Include File

#declare Windmill = 
union {// The Windmill
       object {Part52 rotate <-90,0,0>} //The Base - N.B. keep top of Base in plane 0*y for reference.
                                       // Depress ground plane if necessary.)

// The Main Frame
      union { // Front Door Assembly 
        
                union {
                        object {Part126 rotate <0,180,180>}  // Trunnion 
                        translate <0,1.5,-0.05>
                      } 
                
                union { // L.H. 5-hole strip with N,B & W
                       object {Part5}
                       object {Part37y translate -1*x} //Lower N&B
                       object {Part38 rotate 90*y translate <1,0,-0.1>} //Washer
                       object {Part37z translate <1,0,-0.1>} // Upper N&B
                       rotate 87.5*z translate <-0.45,0.75,0>
                      }  
                
                union { // R.H. 5-hole strip with N,B & W
                       object {Part5}
                       object {Part37y translate -1*x} //Lower N&B
                       object {Part38 rotate 90*y translate <1,0,-0.1>} //Washer
                       object {Part37z translate <1,0,-0.1>} // Upper N&B
                       rotate 92.5*z translate <0.45,0.75,0>
                      }        
                translate -1.27*z                
             }        
       
       union { // Rear Door Assembly (a stand-in for the Magic Motor! 
        
                union {
                        object {Part126 rotate <0,180,180>}  // Trunnion 
                        translate <0,1.5,-0.05>
                      } 
                
                union { // L.H. 5-hole strip with N,B & W
                       object {Part5}
                       object {Part37y translate -1*x} //Lower N&B
                       object {Part38 rotate 90*y translate <1,0,-0.1>} //Washer
                       object {Part37z translate <1,0,-0.1>} // Upper N&B
                       rotate 87.5*z translate <-0.45,0.75,0>
                      }  
                
                union { // R.H. 5-hole strip with N,B&W
                       object {Part5}
                       object {Part37y translate -1*x} //Lower N&B
                       object {Part38 rotate 90*y translate <1,0,-0.1>} //Washer
                       object {Part37z translate <1,0,-0.1>} // Upper N&B
                       rotate 92.5*z translate <0.45,0.75,0>
                      }        
                rotate 180*y translate 1.27*z                
             }        
      
        union { // Front Gable
             
               union { // Apex Bit
                       object {Part126a}
                       object {Part37z translate -0.5*x}
                       object {Part37z translate  0.5*x}
                       rotate 180*z translate <0,4.7,-0.05>
                      }
              
               // Centre Strut (don't have a curved strip yet!)
                     
               union { // Left leg looking from front
                      object {Part2}
                      object {Part37y translate -2.5*x}   // Lower N&B
                      rotate 78*z
                      translate <-1,2.23,0>
                      
                     }
             
               union { // Right leg looking from front
                      object {Part2}
                      object {Part37y translate -2.5*x}  // Lower N&B
                      rotate 102*z translate <1,2.23,0>
                     }                          
               translate <0,0,-1.27>
             }
union { // Rear Gable
             
               union { // Apex Bit
                       object {Part126a}
                       object {Part37z translate -0.5*x}
                       object {Part37z translate  0.5*x}
                       rotate 180*z translate <0,4.7,-0.05>
                      }
              
               // Centre Strut (don't have a curved strip yet!)
                     
               union { // Left leg looking from front
                      object {Part2}
                      object {Part37y translate -2.5*x}   // Lower N&B
                      rotate 78*z
                      translate <-1,2.23,0>
                      
                     }
             
               union { // Right leg looking from front
                      object {Part2}
                      object {Part37y translate -2.5*x}  // Lower N&B
                      rotate 102*z translate <1,2.23,0>
                     }                          
               rotate 180*y
               translate <0,0,1.27>
             }

union {// Middle side Strut on Left
       object {Part5}
       object {Part12 rotate <180,0,0> translate <-1.25,0,0.05>} 
       object {Part12 rotate <180,0,180> translate <1.25,0,0.05>}
       object {Part37x translate -1*x} 
       object {Part37x translate 1*x}
       rotate <12,90,0>
       translate <-1.25,2.25,0>
      }


union {// Middle side Strut on Right
       object {Part5}
       object {Part12 rotate <180,0,0> translate <-1.25,0,0.05>} 
       object {Part12 rotate <180,0,180> translate <1.25,0,0.05>}
       object {Part37x translate -1*x} 
       object {Part37x translate 1*x}
       rotate <12,-90,0>
       translate <1.25,2.25,0>
      }


// Roof Assembly
union { 
        union { //One Side
               object {Part48a rotate 180*x translate <0,0.5,0.4>}
               object {Part37 translate <0,0.5,0.4>}
               object {Part194 translate -0.01*z}
               object {Part125 rotate <90,90,0> translate <0,0.25,0.25>} 
               object {Part37x translate -0.05*z}
               object {Part38 rotate 90*y translate -0.05*z}
               object {Part12 rotate <90,-90,0> translate <-1,-1.25,0>}  // Shared Bracket at Apex
               object {Part37x translate <-1,-1,-0.05>}
               object {Part38 rotate 90*y translate <-1,-1,-0.05>}
               object {Part12 rotate <90,-90,0> translate <1,-1.25,0>}   // Shared Bracket at Apex
               object {Part37x translate <1,-1,-0.05>}
               object {Part38 rotate 90*y translate <1,-1,-0.05>}
               rotate 135*x translate 0.9*z
              } 
        
        union { //Other Side
               object {Part48a rotate 180*x translate <0,0.5,0.4>}
               object {Part37x translate <0,0.5,0.4>}
               object {Part194 translate -0.01*z}
               object {Part125 rotate <90,90,0> translate <0,0.25,0.25>} 
               object {Part37 translate -0.05*z}
               object {Part38 rotate 90*y translate -0.05*z}
               object {Part37 translate <-1,-1,-0.05>}
               object {Part38 rotate 90*y translate <-1,-1,-0.05>}
               object {Part37 translate <1,-1,-0.05>} 
               object {Part38 rotate 90*y translate <1,-1,-0.05>}
               rotate <-225,180,0> translate -0.9*z
              }  
scale <1,1,0.7> // Squeeze to fit Gable !
rotate 90*y translate 5.5*y
} // End of Roof Assembly                    


// Sails & Axle Assembly
union {
        object {Part15b translate 0.2*x} // Axle
        union { // FrontPulley & Ring
                object {Part22} 
                object {Part155 rotate 90*x}
                rotate -90*y translate -1.375*x
              } 
        union { // Sails
                object {Part189}
                object {Part189 rotate 90*z translate <0,0,0.01>}
                rotate -90*y
                translate -1.26*x
              } 
        object {Part24 rotate 90*y translate -1.15*x}
        object {Part22 translate 0.8*z rotate 90*y translate 1.1*x} // Rear Pulley    
        rotate 37*x // For Still
        rotate clock*x
        rotate -90*y      
        translate <0,5.75,-0.55> 
        
      } // end of Sails & Axle

// Crank Assembly - shift up when Curved Strip invented !

union {
        object {Part19g}
        object {Part22 rotate 90*y translate -1.1*x}
        object {Part35 translate 1.1*x}
        rotate -30*x // For Still
        rotate 4*clock*x
        rotate 90*y translate 2.25*y
      } // End of Crank Assembly
rotate 34*y

} // End of Windmill