// Outfit No. 1 Models
// Model 1.8 - Electric Truck - Chariot electrique - Elektrische truck - Elektrokarren - Carrello elettrico
// Alan Jardine, Kintore
// Version 0 - Started - 2000-10-15
// Version 1 - Almost complete - needs steering cord to be fitted - 2000-10-166

// Parts List - included for the record and as a possible future way of parameterising
// Meccano.inc to reduce parse time

// Qty.  4 of Part   2
// Qty.  2 of Part   5
// Qty.  4 of Part  10
// Qty.  1 of Part  11
// Qty.  3 of Part  12
// Qty.  1 of Part  16
// Qty.  1 of Part  17
// Qty.  1 of Part  19s
// Qty.  2 of Part  22
// Qty.  1 of Part  24
// Qty.  4 of Part  35
// Qty. 24 of Part  37a
// Qty. 22 of Part  37b
// Qty.  6 of Part  38
// Qty.  2 of Part  48a
// Qty.  1 of Part  52
// Qty.  2 of Part 111c
// Qty.  2 of Part 126
// Qty.  2 of Part 126a
// Qty.  2 of Part 142c
// Qty.  2 of Part 194


#declare ElectricTruck =
union { // Entire Model   
// Main Axle, Wheels & Tyres
union {
       object {Part16}
       object {Part22 rotate  90*y translate -1.5*x}
       object {Part142c rotate <90,90,0> translate -1.5*x}
       object {Part22 rotate -90*y translate  1.5*x}
       object {Part142c rotate <90,90,0> translate  1.5*x}
       rotate 90*y                                             // Possible Animation variable
       translate <-1,-0.8,0>                                             
      }              

// Body Assembly

union { // Entire Body
       union { // Base                                
                union {
                       object {Part52}
                       object {Part37x rotate 0*x translate <-1.5,  0.5,0.05> }
                       object {Part37x rotate 0*x translate < -0.5,  0.5,0.05> }
                       object {Part37x rotate 0*x translate <-1.5, -0.5,0.05> }
                       object {Part37x rotate 0*x translate < -0.5, -0.5,0.05> }
                       object {Part38 rotate 90*y translate <2,0,-0.0125>} 
                       object {Part111c rotate 180*x translate <2,0,-0.0125> } // Steering Fulcrum
                       object {Part37a  rotate 90*y translate <2,0,-0.025>}
                       object {Part37a  rotate 90*y rotate 45*z translate <2,0,-0.0325>}
                       rotate -90*x
                      } 
                
                // Front wheel & Steering Gear
                union {
                        object {Part11 rotate 90*y translate 0.5*x}
                        object {Part10 translate 0.2625*z}
                        object {Part10 translate -0.2625*z}
                        object {Part37y translate <0.25,0,0.25>}
                        object {Part37y rotate 180*y translate <0.25,0,-0.25>}
                        object {Part12 translate -0.275*z}
                        object {Part12 rotate 180*x translate 0.275*z}
                        union {
                               object {Part17 rotate 90*y}
                               object {Part24 translate -0.1*z}
                               object {Part35 rotate 90*y translate 0.8*z}
                               object {Part35 rotate 90*y translate -0.8*z}
                               translate -0.225*x
                              } 
                        rotate -90*z
                        rotate -25*y
                        translate <2,0.59,0>
                      } 
                      
                // Platform & Steering Handle

union {
       object {Part194}
       object {Part194 translate -0.0125*z}
       object {Part48a translate <0,0.5,-0.025>}
       object {Part37x translate < -0.5,0.5,-0.025>}
       object {Part37x translate <-0.5,-0.5,-0.025>}
       object {Part37x translate <  -1,-0.5,-0.025>}
       
       union {
              object {Part126a}
              object {Part126a rotate 90*z translate <-0.5,-0.5,0.0125>}
              object {Part37x translate  0.5*x}
              object {Part37x translate -0.5*y}
              rotate -90*z rotate -90*y translate <-1.325,0,-0.25>
             } 
       union {
              object {Part19s}
              object {Part35 translate -1.46*x}
              object {Part38 translate -1.31*x}
              object {Part35 translate -1*x}
              object {Part38 translate -1.15*x}
              rotate 180*y translate <0,0.5,-0.25>
             } 
rotate <90,0,-90> translate <2.7755,-0.75,-0.5>
}
                // Axle Support
                
                union {
                       //object {Part2 translate <-1,-0.25,-0.0125>}
                       object {Part37x translate -0.25*y}
                       object {Part126 }
                       rotate 180*z
                       translate <-1,0.0125,-0.825>
                      } 
             
                // Axle Support
                
                union {
                       //object {Part2 translate <1,-0.25,-0.0125>}
                       object {Part37x translate -0.25*y}
                       object {Part126 }
                       rotate <0,180,180>
                       translate <-1,0.0125,0.825>
                      } 
                           
             rotate <180,90,0>
             }

// Tailgate

union {
       object {Part194 translate -0.025*z}
       object {Part48a rotate 180*x translate <0,0.5,0>}
       object {Part37x translate <0,0.5,0>}
       object {Part37x translate < -1,0,0>}
       object {Part37x translate <  1,0,0>}
       rotate 180*y
       translate <0,0.25,2.75>
      }
      

// Side Strips
union {
       object {Part2}
       object {Part37x translate -2.5*x}
       object {Part37x translate 2.5*x}
       object {Part37x translate <2.5,-0.5,0>}
       object {Part10 rotate 90*z translate <2.5,-0.25,0.0125>}
       rotate 90*y translate <-1.25,0.75,0>
      } 
union {
       object {Part2}
       object {Part37x translate -2.5*x}
       object {Part37x translate 2.5*x}
       object {Part37x translate <2.5,-0.5,0>}
       object {Part10 rotate 90*z translate <-2.5,-0.25,0.0125>}
       rotate -90*y translate <1.25,0.75,0>
      } 
rotate <0,-90,0>

}

rotate 0*z

} // Entire Model